net.corda.core.contracts.clauses

## Class AllComposition<S extends ContractState,C extends CommandData,K>

- Clause
- - CompositeClause
  - - AllOf
    - - net.corda.core.contracts.clauses.AllComposition<S,C,K>

- Deprecated.

      public class AllComposition<S extends ContractState,C extends CommandData,K>
      extends AllOf

  Compose a number of clauses, such that all of the clauses must run for verification to pass.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.contracts.clauses.Clause

      `Clause.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.contracts.clauses.Clause

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllComposition(Clause<? super S,C,? super K> firstClause, net.corda.core.contracts.clauses.Clause remainingClauses)` Deprecated. Compose a number of clauses, such that all of the clauses must run for verification to pass.

  - ### Method Summary

    - ### Methods inherited from class net.corda.core.contracts.clauses.AllOf

      `getClauses, matchedClauses, toString, verify`

    - ### Methods inherited from class net.corda.core.contracts.clauses.CompositeClause

      `getClauses, getExecutionPath, matchedClauses`

    - ### Methods inherited from class net.corda.core.contracts.clauses.Clause

      `getExecutionPath, getRequiredCommands, verify`

- - ### Constructor Detail

    - #### AllComposition

          public AllComposition(Clause<? super S,C,? super K> firstClause,
                                net.corda.core.contracts.clauses.Clause remainingClauses)

      Deprecated.

      Compose a number of clauses, such that all of the clauses must run for verification to pass.